IPSW-EXTRACT(1)

NAME
ipsw-extract - Extract kernelcache, dyld_shared_cache or DeviceTree from IPSW/OTA

SYNOPSIS
ipsw extract [flags]

DESCRIPTION
Extract kernelcache, dyld_shared_cache or DeviceTree from IPSW/OTA

OPTIONS
--device=""
    Device to extract kernel for (e.g. iPhone10,6)

--dmg=""
    Extract DMG file (app, sys, fs)

--driverkit[=false]
    Extract DriverKit dyld_shared_cache

--dtree[=false]
    Extract DeviceTree

-d, --dyld[=false]
    Extract dyld_shared_cache

-a, --dyld-arch=[]
    dyld_shared_cache architecture to extract

-x, --exclave[=false]
    Extract Exclave Bundle

--fcs-key[=false]
    Extract AEA1 DMG fcs-key pem files

-f, --files[=false]
    Extract File System files

--flat[=false]
    Do NOT preserve directory structure when extracting

-h, --help[=false]
    help for extract

--iboot[=false]
    Extract iBoot

--insecure[=false]
    do not verify ssl certs

-j, --json[=false]
    Output extracted paths as JSON

--kbag[=false]
    Extract Im4p Keybags

-k, --kernel[=false]
    Extract kernelcache

-o, --output=""
    Folder to extract files to

-p, --pattern=""
    Extract files that match regex

--pem-db=""
    AEA pem DB JSON file

--proxy=""
    HTTP/HTTPS proxy

-r, --remote[=false]
    Extract from URL

--sep[=false]
    Extract sep-firmware

--sptm[=false]
    Extract SPTM and TXM Firmwares

--sys-ver[=false]
    Extract SystemVersion

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

EXAMPLE
    # Extract kernelcache from IPSW
    $ ipsw extract --kernel iPhone15,2_16.5_20F66_Restore.ipsw
    # Extract dyld_shared_cache for specific architecture
    $ ipsw extract --dyld --dyld-arch arm64e iPhone.ipsw
    # Extract all files matching a pattern (from the IPSW zip contents)
    $ ipsw extract --pattern '.*\.ttf$' iOS.ipsw
    # Extract multiple components with custom output directory
    $ ipsw extract --kernel --sep --dyld -o /tmp/extracted iPhone.ipsw
    # Extract from remote URL
    $ ipsw extract --kernel --remote https://updates.cdn-apple.com/iPhone.ipsw
    # Extract system version info as JSON
    $ ipsw extract --sys-ver iPhone.ipsw
    # Extract files from filesystem DMG matching pattern
    $ ipsw extract --files --pattern '.*LaunchDaemons.*\.plist$' iPhone.ipsw
    # Extract DriverKit dyld_shared_cache
    $ ipsw extract --dyld --driverkit macOS.ipsw

SEE ALSO
ipsw(1)

HISTORY
24-Oct-2025 Auto generated by spf13/cobra